/* Classes */
const CLASS_SINGLE_VISIT = 'SINGLE_VISIT'
const CLASS_UNSCHEDULED_VISIT = 'UNSCHEDULED_VISIT'
const CLASS_NON_VISIT = 'NON_VISIT'

/* Sub-classes */
const SUBCLASS_SINGLE_VISIT = 'SINGLE_VISIT'
const SUBCLASS_ANCHOR_VISIT_IN_GROUP_OF_SUBV = 'ANCHOR_VISIT_IN_GROUP_OF_SUBV'
const SUBCLASS_ADDITIONAL_SUBVISIT_IN_A_GROUP_OF_SUBV = 'ADDITIONAL_SUBVISIT_IN_A_GROUP_OF_SUBV'

/* Time reference names */
const TIMEREF_BASELINE = 'Baseline'
const TIMEREF_PREVIOUS_VISIT = 'Previous Visit'
const TIMEREF_GLOBAL_ANCHOR_VISIT = 'Global anchor visit'

/* Visit type names */
const VISIT_TYPE_BASELINE = 'Baseline'
const VISIT_TYPE_UNSCHEDULED = 'Unscheduled'
const VISIT_TYPE_NON_VISIT = 'Non-visit'

/* Epoch names */
const EPOCH_BASIC = 'Basic'
const EPOCH_TREATMENT = 'Treatment'
const EPOCH_TREATMENT_1 = 'Treatment 1'

/* Contact modes */
const CONTACT_MODE_VIRTUAL_VISIT = 'Virtual Visit'

/* Epoch Allocation rules */
const PREVIOUS_VISIT = 'Previous Visit'
const DATE_CURRENT_VISIT = 'Date Current Visit'
const CURRENT_VISIT = 'Current Visit'

export default {
  CLASS_SINGLE_VISIT,
  CLASS_UNSCHEDULED_VISIT,
  CLASS_NON_VISIT,
  SUBCLASS_SINGLE_VISIT,
  SUBCLASS_ANCHOR_VISIT_IN_GROUP_OF_SUBV,
  SUBCLASS_ADDITIONAL_SUBVISIT_IN_A_GROUP_OF_SUBV,
  TIMEREF_BASELINE,
  TIMEREF_PREVIOUS_VISIT,
  TIMEREF_GLOBAL_ANCHOR_VISIT,
  VISIT_TYPE_BASELINE,
  VISIT_TYPE_UNSCHEDULED,
  VISIT_TYPE_NON_VISIT,
  EPOCH_BASIC,
  EPOCH_TREATMENT,
  EPOCH_TREATMENT_1,
  CONTACT_MODE_VIRTUAL_VISIT,
  PREVIOUS_VISIT,
  DATE_CURRENT_VISIT,
  CURRENT_VISIT
}
